# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "fluentd"
  s.version = "0.12.39"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Sadayuki Furuhashi"]
  s.date = "2017-07-14"
  s.description = "Fluentd is an open source data collector designed to scale and simplify log management. It can collect, process and ship many kinds of data in near real-time."
  s.email = ["frsyuki@gmail.com"]
  s.executables = ["fluent-cat", "fluent-debug", "fluent-gem", "fluentd"]
  s.files = [".gitignore", ".travis.yml", "AUTHORS", "CONTRIBUTING.md", "COPYING", "ChangeLog", "Gemfile", "README.md", "Rakefile", "bin/fluent-cat", "bin/fluent-debug", "bin/fluent-gem", "bin/fluentd", "example/filter_stdout.conf", "example/in_forward.conf", "example/in_http.conf", "example/in_syslog.conf", "example/in_tail.conf", "example/in_tcp.conf", "example/in_udp.conf", "example/out_copy.conf", "example/out_file.conf", "example/out_forward.conf", "example/v0_12_filter.conf", "example/v1_literal_example.conf", "fluent.conf", "fluentd.gemspec", "lib/fluent/agent.rb", "lib/fluent/buffer.rb", "lib/fluent/command/bundler_injection.rb", "lib/fluent/command/cat.rb", "lib/fluent/command/debug.rb", "lib/fluent/command/fluentd.rb", "lib/fluent/config.rb", "lib/fluent/config/basic_parser.rb", "lib/fluent/config/configure_proxy.rb", "lib/fluent/config/dsl.rb", "lib/fluent/config/element.rb", "lib/fluent/config/error.rb", "lib/fluent/config/literal_parser.rb", "lib/fluent/config/parser.rb", "lib/fluent/config/section.rb", "lib/fluent/config/types.rb", "lib/fluent/config/v1_parser.rb", "lib/fluent/configurable.rb", "lib/fluent/engine.rb", "lib/fluent/env.rb", "lib/fluent/event.rb", "lib/fluent/event_router.rb", "lib/fluent/filter.rb", "lib/fluent/formatter.rb", "lib/fluent/input.rb", "lib/fluent/label.rb", "lib/fluent/load.rb", "lib/fluent/log.rb", "lib/fluent/match.rb", "lib/fluent/mixin.rb", "lib/fluent/output.rb", "lib/fluent/parser.rb", "lib/fluent/plugin.rb", "lib/fluent/plugin/buf_file.rb", "lib/fluent/plugin/buf_memory.rb", "lib/fluent/plugin/exec_util.rb", "lib/fluent/plugin/file_util.rb", "lib/fluent/plugin/filter_grep.rb", "lib/fluent/plugin/filter_parser.rb", "lib/fluent/plugin/filter_record_transformer.rb", "lib/fluent/plugin/filter_stdout.rb", "lib/fluent/plugin/in_debug_agent.rb", "lib/fluent/plugin/in_dummy.rb", "lib/fluent/plugin/in_exec.rb", "lib/fluent/plugin/in_forward.rb", "lib/fluent/plugin/in_gc_stat.rb", "lib/fluent/plugin/in_http.rb", "lib/fluent/plugin/in_monitor_agent.rb", "lib/fluent/plugin/in_object_space.rb", "lib/fluent/plugin/in_status.rb", "lib/fluent/plugin/in_stream.rb", "lib/fluent/plugin/in_syslog.rb", "lib/fluent/plugin/in_tail.rb", "lib/fluent/plugin/in_tcp.rb", "lib/fluent/plugin/in_udp.rb", "lib/fluent/plugin/out_copy.rb", "lib/fluent/plugin/out_exec.rb", "lib/fluent/plugin/out_exec_filter.rb", "lib/fluent/plugin/out_file.rb", "lib/fluent/plugin/out_forward.rb", "lib/fluent/plugin/out_null.rb", "lib/fluent/plugin/out_relabel.rb", "lib/fluent/plugin/out_roundrobin.rb", "lib/fluent/plugin/out_stdout.rb", "lib/fluent/plugin/out_stream.rb", "lib/fluent/plugin/socket_util.rb", "lib/fluent/plugin/string_util.rb", "lib/fluent/process.rb", "lib/fluent/registry.rb", "lib/fluent/root_agent.rb", "lib/fluent/rpc.rb", "lib/fluent/status.rb", "lib/fluent/supervisor.rb", "lib/fluent/system_config.rb", "lib/fluent/test.rb", "lib/fluent/test/base.rb", "lib/fluent/test/filter_test.rb", "lib/fluent/test/formatter_test.rb", "lib/fluent/test/helpers.rb", "lib/fluent/test/input_test.rb", "lib/fluent/test/output_test.rb", "lib/fluent/test/parser_test.rb", "lib/fluent/time.rb", "lib/fluent/timezone.rb", "lib/fluent/version.rb", "test/config/assertions.rb", "test/config/test_config_parser.rb", "test/config/test_configurable.rb", "test/config/test_configure_proxy.rb", "test/config/test_dsl.rb", "test/config/test_literal_parser.rb", "test/config/test_section.rb", "test/config/test_system_config.rb", "test/config/test_types.rb", "test/helper.rb", "test/plugin/data/2010/01/20100102-030405.log", "test/plugin/data/2010/01/20100102-030406.log", "test/plugin/data/2010/01/20100102.log", "test/plugin/data/log/bar", "test/plugin/data/log/foo/bar.log", "test/plugin/data/log/foo/bar2", "test/plugin/data/log/test.log", "test/plugin/test_buf_file.rb", "test/plugin/test_buf_memory.rb", "test/plugin/test_file_util.rb", "test/plugin/test_filter_grep.rb", "test/plugin/test_filter_parser.rb", "test/plugin/test_filter_record_transformer.rb", "test/plugin/test_filter_stdout.rb", "test/plugin/test_in_debug_agent.rb", "test/plugin/test_in_dummy.rb", "test/plugin/test_in_exec.rb", "test/plugin/test_in_forward.rb", "test/plugin/test_in_gc_stat.rb", "test/plugin/test_in_http.rb", "test/plugin/test_in_object_space.rb", "test/plugin/test_in_status.rb", "test/plugin/test_in_stream.rb", "test/plugin/test_in_syslog.rb", "test/plugin/test_in_tail.rb", "test/plugin/test_in_tcp.rb", "test/plugin/test_in_udp.rb", "test/plugin/test_out_copy.rb", "test/plugin/test_out_exec.rb", "test/plugin/test_out_exec_filter.rb", "test/plugin/test_out_file.rb", "test/plugin/test_out_forward.rb", "test/plugin/test_out_roundrobin.rb", "test/plugin/test_out_stdout.rb", "test/plugin/test_out_stream.rb", "test/plugin/test_string_util.rb", "test/scripts/exec_script.rb", "test/scripts/fluent/plugin/formatter_known.rb", "test/scripts/fluent/plugin/out_test.rb", "test/scripts/fluent/plugin/parser_known.rb", "test/test_buffer.rb", "test/test_config.rb", "test/test_configdsl.rb", "test/test_event.rb", "test/test_event_router.rb", "test/test_filter.rb", "test/test_formatter.rb", "test/test_input.rb", "test/test_log.rb", "test/test_match.rb", "test/test_mixin.rb", "test/test_output.rb", "test/test_parser.rb", "test/test_plugin_classes.rb", "test/test_process.rb", "test/test_root_agent.rb"]
  s.homepage = "http://fluentd.org/"
  s.licenses = ["Apache-2.0"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3")
  s.rubygems_version = "2.0.14.1"
  s.summary = "Fluentd event collector"
  s.test_files = ["test/config/assertions.rb", "test/config/test_config_parser.rb", "test/config/test_configurable.rb", "test/config/test_configure_proxy.rb", "test/config/test_dsl.rb", "test/config/test_literal_parser.rb", "test/config/test_section.rb", "test/config/test_system_config.rb", "test/config/test_types.rb", "test/helper.rb", "test/plugin/data/2010/01/20100102-030405.log", "test/plugin/data/2010/01/20100102-030406.log", "test/plugin/data/2010/01/20100102.log", "test/plugin/data/log/bar", "test/plugin/data/log/foo/bar.log", "test/plugin/data/log/foo/bar2", "test/plugin/data/log/test.log", "test/plugin/test_buf_file.rb", "test/plugin/test_buf_memory.rb", "test/plugin/test_file_util.rb", "test/plugin/test_filter_grep.rb", "test/plugin/test_filter_parser.rb", "test/plugin/test_filter_record_transformer.rb", "test/plugin/test_filter_stdout.rb", "test/plugin/test_in_debug_agent.rb", "test/plugin/test_in_dummy.rb", "test/plugin/test_in_exec.rb", "test/plugin/test_in_forward.rb", "test/plugin/test_in_gc_stat.rb", "test/plugin/test_in_http.rb", "test/plugin/test_in_object_space.rb", "test/plugin/test_in_status.rb", "test/plugin/test_in_stream.rb", "test/plugin/test_in_syslog.rb", "test/plugin/test_in_tail.rb", "test/plugin/test_in_tcp.rb", "test/plugin/test_in_udp.rb", "test/plugin/test_out_copy.rb", "test/plugin/test_out_exec.rb", "test/plugin/test_out_exec_filter.rb", "test/plugin/test_out_file.rb", "test/plugin/test_out_forward.rb", "test/plugin/test_out_roundrobin.rb", "test/plugin/test_out_stdout.rb", "test/plugin/test_out_stream.rb", "test/plugin/test_string_util.rb", "test/scripts/exec_script.rb", "test/scripts/fluent/plugin/formatter_known.rb", "test/scripts/fluent/plugin/out_test.rb", "test/scripts/fluent/plugin/parser_known.rb", "test/test_buffer.rb", "test/test_config.rb", "test/test_configdsl.rb", "test/test_event.rb", "test/test_event_router.rb", "test/test_filter.rb", "test/test_formatter.rb", "test/test_input.rb", "test/test_log.rb", "test/test_match.rb", "test/test_mixin.rb", "test/test_output.rb", "test/test_parser.rb", "test/test_plugin_classes.rb", "test/test_process.rb", "test/test_root_agent.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<msgpack>, ["< 2", ">= 0.5.11"])
      s.add_runtime_dependency(%q<json>, [">= 1.4.3"])
      s.add_runtime_dependency(%q<yajl-ruby>, ["~> 1.0"])
      s.add_runtime_dependency(%q<cool.io>, ["< 2.0.0", ">= 1.2.2"])
      s.add_runtime_dependency(%q<http_parser.rb>, ["< 0.7.0", ">= 0.5.1"])
      s.add_runtime_dependency(%q<sigdump>, ["~> 0.2.2"])
      s.add_runtime_dependency(%q<tzinfo>, [">= 1.0.0"])
      s.add_runtime_dependency(%q<tzinfo-data>, [">= 1.0.0"])
      s.add_runtime_dependency(%q<string-scrub>, ["<= 0.0.5", ">= 0.0.3"])
      s.add_development_dependency(%q<rake>, [">= 0.9.2"])
      s.add_development_dependency(%q<flexmock>, ["~> 2.0"])
      s.add_development_dependency(%q<parallel_tests>, ["~> 0.15.3"])
      s.add_development_dependency(%q<simplecov>, ["~> 0.7"])
      s.add_development_dependency(%q<rr>, ["~> 1.0"])
      s.add_development_dependency(%q<timecop>, ["~> 0.3"])
      s.add_development_dependency(%q<test-unit>, ["~> 3.2"])
      s.add_development_dependency(%q<test-unit-rr>, ["~> 1.0"])
      s.add_development_dependency(%q<oj>, ["~> 2.14"])
    else
      s.add_dependency(%q<msgpack>, ["< 2", ">= 0.5.11"])
      s.add_dependency(%q<json>, [">= 1.4.3"])
      s.add_dependency(%q<yajl-ruby>, ["~> 1.0"])
      s.add_dependency(%q<cool.io>, ["< 2.0.0", ">= 1.2.2"])
      s.add_dependency(%q<http_parser.rb>, ["< 0.7.0", ">= 0.5.1"])
      s.add_dependency(%q<sigdump>, ["~> 0.2.2"])
      s.add_dependency(%q<tzinfo>, [">= 1.0.0"])
      s.add_dependency(%q<tzinfo-data>, [">= 1.0.0"])
      s.add_dependency(%q<string-scrub>, ["<= 0.0.5", ">= 0.0.3"])
      s.add_dependency(%q<rake>, [">= 0.9.2"])
      s.add_dependency(%q<flexmock>, ["~> 2.0"])
      s.add_dependency(%q<parallel_tests>, ["~> 0.15.3"])
      s.add_dependency(%q<simplecov>, ["~> 0.7"])
      s.add_dependency(%q<rr>, ["~> 1.0"])
      s.add_dependency(%q<timecop>, ["~> 0.3"])
      s.add_dependency(%q<test-unit>, ["~> 3.2"])
      s.add_dependency(%q<test-unit-rr>, ["~> 1.0"])
      s.add_dependency(%q<oj>, ["~> 2.14"])
    end
  else
    s.add_dependency(%q<msgpack>, ["< 2", ">= 0.5.11"])
    s.add_dependency(%q<json>, [">= 1.4.3"])
    s.add_dependency(%q<yajl-ruby>, ["~> 1.0"])
    s.add_dependency(%q<cool.io>, ["< 2.0.0", ">= 1.2.2"])
    s.add_dependency(%q<http_parser.rb>, ["< 0.7.0", ">= 0.5.1"])
    s.add_dependency(%q<sigdump>, ["~> 0.2.2"])
    s.add_dependency(%q<tzinfo>, [">= 1.0.0"])
    s.add_dependency(%q<tzinfo-data>, [">= 1.0.0"])
    s.add_dependency(%q<string-scrub>, ["<= 0.0.5", ">= 0.0.3"])
    s.add_dependency(%q<rake>, [">= 0.9.2"])
    s.add_dependency(%q<flexmock>, ["~> 2.0"])
    s.add_dependency(%q<parallel_tests>, ["~> 0.15.3"])
    s.add_dependency(%q<simplecov>, ["~> 0.7"])
    s.add_dependency(%q<rr>, ["~> 1.0"])
    s.add_dependency(%q<timecop>, ["~> 0.3"])
    s.add_dependency(%q<test-unit>, ["~> 3.2"])
    s.add_dependency(%q<test-unit-rr>, ["~> 1.0"])
    s.add_dependency(%q<oj>, ["~> 2.14"])
  end
end

